Download it now!
Bug 132856 - Fontbox in Writer is extremely slow with Skia Raster
Summary: Fontbox in Writer is extremely slow with Skia Raster
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords: bibisectRequest
Depends on:
Blocks: Skia
  Show dependency treegraph
 
Reported: 2020-05-08 18:52 UTC by Telesto
Modified: 2020-05-13 16:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-05-08 18:52:49 UTC
Description:
Fontbox in Writer is extremely slow with Skia Raster

Steps to Reproduce:
1. Open Writer
2. Open the font drop down list & scroll.. 

Slow.. maybe fixed with Clang build or related to bug 132536

Actual Results:
Slow

Expected Results:
Normal speed


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 97a2c1fc5e376c0c00968f17a0392c6d3a5ed565
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: threaded
Comment 1 Telesto 2020-05-09 17:30:13 UTC
Clang doesn't help
Version: 7.0.0.0.alpha1 (x64)
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI: en-US
Calc: threaded
Comment 2 BogdanB 2020-05-11 13:26:49 UTC
Confirm with
Version: 7.0.0.0.alpha1
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 4; OS: Linux 5.4; UI render: Skia/Raster; VCL: x11; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 3 Commit Notification 2020-05-11 13:58:59 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/23d61621058221b9e15d5d49e2fbb281042d8b1d

avoid deep copies of pixels with Skia raster surfaces (tdf#132856)

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-05-13 12:34:33 UTC
Hi Telesto,
any chance you could verify this issue with a daily build including the fixing patch ?
Comment 5 Telesto 2020-05-13 16:54:48 UTC
I'm happy
Version: 7.0.0.0.alpha1+ (x64)
Build ID: f9790da286f2d2fa47f1748f8cfa6172c6622ca3
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI: en-US
Calc: threaded